import request from '@/utils/request'

// 查询主播认证列表
export function listAuth(query) {
  return request({
    url: '/business/auth/list',
    method: 'get',
    params: query
  })
}
// 查询主播星级列表
export function starList() {
  return request({
    url: '/business/auth/starList',
    method: 'get',
  })
}

// 查询主播认证详细
export function getAuth(uid) {
  return request({
    url: '/business/auth/' + uid,
    method: 'get'
  })
}

// 新增主播认证
export function addAuth(data) {
  return request({
    url: '/business/auth',
    method: 'post',
    data: data
  })
}
// 新增主播认证
export function audit(data) {
  return request({
    url: '/business/auth/audit',
    method: 'post',
    data: data
  })
}

// 修改主播认证
export function updateAuth(data) {
  return request({
    url: '/business/auth',
    method: 'put',
    data: data
  })
}

// 删除主播认证
export function delAuth(uid) {
  return request({
    url: '/business/auth/' + uid,
    method: 'delete'
  })
}
